#include "at32f403a_407.h"
#include "monitoring.h"



uint32_t mon_state; // Слово состояний модуля (в modbus)


// state == true (есть ошибка, нужно установить бит)
void mon_set_err(monitor_err_code_t err_code, uint8_t state)
{
    if (state)
        mon_state |= err_code;
    else
        mon_state &= ~err_code;
}




